MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024603Open CASCADE[OCCT] OCCT:Foundation Classespublic2014-02-06 10:302014-05-05 13:38
Reporterszv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024603: The code in TCollection_AsciiString::Search* methods can be simplified
DescriptionSome unnecessary use of Boolean flags can be avoided in the code of some TCollection_AsciiString::Search* methods.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027794)
szv (manager)
2014-02-06 10:32

Please review the branch CR24603.
(0027795)
abv (manager)
2014-02-06 10:36

No remarks, please test
(0027814)
mkv (tester)
2014-02-07 13:45

Dear BugMaster,

Branch CR24603 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 4e8ab08d651e65f6a9c641b955357e5aa7303af1

Number of compiler warnings:

occt component :
Linux: 44 (44 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 371701072 / 372433200
Total CPU difference: 44255.100000000115 / 43920.07000000019

Testing on Windows:
Total MEMORY difference: 418761732 / 409818516
Total CPU difference: 31864.8125 / 35405.640625

There are not differences in images found by testdiff.

- Related Changesets
occt: master feb2743f
Timestamp: 2013-03-28 08:13:26
Author: szv
Committer: apn
Details ] Diff ]
0024603: The code in TCollection_AsciiString::Search* methods can be simplified

Small improvement in TCollection_AsciiString::Search.
mod - src/TCollection/TCollection_AsciiString.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-06 10:30 szv New Issue
2014-02-06 10:30 szv Assigned To => abv
2014-02-06 10:32 szv Note Added: 0027794
2014-02-06 10:32 szv Status new => resolved
2014-02-06 10:36 abv Note Added: 0027795
2014-02-06 10:36 abv Assigned To abv => bugmaster
2014-02-06 10:36 abv Status resolved => reviewed
2014-02-06 11:30 mkv Assigned To bugmaster => mkv
2014-02-07 13:45 mkv Note Added: 0027814
2014-02-07 15:43 mkv Test case number => Not needed
2014-02-07 15:43 mkv Assigned To mkv => bugmaster
2014-02-07 15:43 mkv Status reviewed => tested
2014-02-14 12:00 apn Changeset attached => occt master feb2743f
2014-02-14 12:00 apn Assigned To bugmaster => apn
2014-02-14 12:00 apn Status tested => verified
2014-02-14 12:00 apn Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:38 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker